Package com.avaya.clientservices.common

## Class MessageBodyPart

- java.lang.Object
- - com.avaya.clientservices.common.MessageBodyPart

-     public class MessageBodyPart
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageBodyPart​(byte[] data, java.lang.String mimeType, java.lang.String disposition, java.lang.String encoding)` | Constructs a @`MessageBodyPart` object
    `MessageBodyPart​(byte[] data, java.lang.String mimeType, java.lang.String disposition, java.lang.String encoding, java.util.List<MessageBodyPart> nestedParts)` | Constructs a @`MessageBodyPart` object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getData()` | Get the data contained in the part
    `java.lang.String` | `getDisposition()` | Get part disposition
    `java.lang.String` | `getEncoding()` | get part encoding
    `java.lang.String` | `getMimeType()` | Get parts Mime type
    `java.util.List<MessageBodyPart>` | `getNestedParts()` | Get nested parts

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageBodyPart

          public MessageBodyPart​(byte[] data,
                                 java.lang.String mimeType,
                                 java.lang.String disposition,
                                 java.lang.String encoding)

      Constructs a @`MessageBodyPart` object
      Parameters:
        `data` - raw body in bytes array
        `mimeType` - MIME-TYPE of thhe part
        `disposition` - disposition of the part
        `encoding` - encoding of the part to help decode the data.

    - #### MessageBodyPart

          public MessageBodyPart​(byte[] data,
                                 java.lang.String mimeType,
                                 java.lang.String disposition,
                                 java.lang.String encoding,
                                 java.util.List<MessageBodyPart> nestedParts)

      Constructs a @`MessageBodyPart` object
      Parameters:
        `data` - raw body in bytes array
        `mimeType` - MIME-TYPE of thhe part
        `disposition` - disposition of the part
        `encoding` - encoding of the part to help decode the data.
        `nestedParts` - nested parts

  - ### Method Detail

    - #### getData

          public byte[] getData()

      Get the data contained in the part
      Returns:
        raw byte array of the parts content

    - #### getMimeType

          public java.lang.String getMimeType()

      Get parts Mime type
      Returns:
        mime-type

    - #### getDisposition

          public java.lang.String getDisposition()

      Get part disposition
      Returns:
        disposition

    - #### getEncoding

          public java.lang.String getEncoding()

      get part encoding
      Returns:
        encoding as String

    - #### getNestedParts

          public java.util.List<MessageBodyPart> getNestedParts()

      Get nested parts
      Returns:
        list of nested parts